aboutsummaryrefslogtreecommitdiffhomepage
path: root/test-suite/coq-makefile/timing
diff options
context:
space:
mode:
authorGravatar Jason Gross <jgross@mit.edu>2017-12-27 22:32:11 -0500
committerGravatar Jason Gross <jgross@mit.edu>2017-12-27 22:42:36 -0500
commit1b4bc997554894d4a317eae965f4634e04c11d20 (patch)
tree877481391adc92d3da2cab7a5e0e527bdd116ead /test-suite/coq-makefile/timing
parent7e319ad03aba413f3165b848eaf821b364f9291b (diff)
Add TIMING_SORT_BY and --sort-by to timing scripts
This should help with #5675, in particular with https://github.com/coq/coq/issues/5675#issuecomment-349716292
Diffstat (limited to 'test-suite/coq-makefile/timing')
-rwxr-xr-xtest-suite/coq-makefile/timing/run.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/test-suite/coq-makefile/timing/run.sh b/test-suite/coq-makefile/timing/run.sh
index 898af5590..4cff224c7 100755
--- a/test-suite/coq-makefile/timing/run.sh
+++ b/test-suite/coq-makefile/timing/run.sh
@@ -31,9 +31,9 @@ coq_makefile -f _CoqProject -o Makefile
make cleanall
make make-pretty-timed-after TGTS="all" -j1 || exit $?
rm -f time-of-build-before.log
-make print-pretty-timed-diff TIME_OF_BUILD_BEFORE_FILE=../before/time-of-build-before.log
+make print-pretty-timed-diff TIMING_SORT_BY=diff TIME_OF_BUILD_BEFORE_FILE=../before/time-of-build-before.log
cp ../before/time-of-build-before.log ./
-make print-pretty-timed-diff || exit $?
+make print-pretty-timed-diff TIMING_SORT_BY=diff || exit $?
INFINITY="∞"
INFINITY_REPLACEMENT="+.%" # assume that if the before time is zero, we expected the time to increase